/*  ========================================================================== */
    // Tag
    //
    // small pills with text in it
    //
    // .tag--large - bigger version
    // .tag--clickable - cursor pointer
    // .tag--royal - royal version
    // .tag--light - light version
    // .tag--stable - stable version
    //
    // Markup: tag.html
    //
    // Style guide: Modules.tag
    //
/*  ========================================================================== */

    .tag
    {
        position: relative;

        @include inline-block;
        padding: $tag-mobile-padding;
        margin-right: 8px;
        margin-bottom: 8px;

        font-size: $tag-mobile-font-size;
        line-height: $tag-line-height;
        color: $tag-color;
        font-weight: $tag-font-weight;
        
        border-radius: $tag-border-radius;
        border: $tag-border;
        background-color: $tag-background-color;
        box-shadow: $tag-box-shadow;
        transition: all 0.4s;

        span
        {
            @include inline-block;
        }

        @include breakpoint(large)
        {
            padding: $tag-padding;

            font-size: $tag-font-size;
        }
    }


    /* SIZES
    ========================================================================== */

    .tag--large
    {
        font-size: $tag-large-font-size;
        padding: $tag-large-padding;
    }


    /* OPTIONS
    ========================================================================== */

    .tag--clickable
    {
        cursor: pointer;

        &:hover,
        &:active
        {
            background-color: $tag-hover-background-color;
        }
    }

    
    /* COLORS
    ========================================================================== */

    .tag--royal
    {
        color: $tag-royal-color;

        background-color: $tag-royal-background-color;
        border-color: $tag-royal-border-color;

        &.tag--clickable
        {
            &:hover,
            &:active
            {
                background-color: $tag-royal-hover-background-color;
            }
        }
    }

    .tag--light
    {
        color: $tag-light-color;

        background-color: $tag-light-background-color;
        border-color: $tag-light-border-color;

        &.tag--clickable
        {
            &:hover,
            &:active
            {
                background-color: $tag-light-hover-background-color;
            }
        }
    }

    .tag--stable
    {
        color: $tag-stable-color;

        background-color: $tag-stable-background-color;
        border-color: $tag-stable-border-color;

        &.tag--clickable
        {
            &:hover,
            &:active
            {
                background-color: $tag-stable-hover-background-color;
            }
        }
    }